com.creamtec.ajaxswing.core

## Class AgentInitData

- java.lang.Object
- - com.creamtec.ajaxswing.core.AgentInitData

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentInitData
      extends java.lang.Object
      implements java.io.Serializable

  Contains Client Agent initialization data, that is passed to a newly instantiated client
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `agentsCount` Numberof agents in AjaxSwing.
    `static int` | `BROWSER_CHROME` Google Chrome
    `static int` | `BROWSER_IE` Internet Explorer
    `static int` | `BROWSER_NS` Netscape browser
    `static int` | `BROWSER_OPERA` Opera browser
    `static int` | `BROWSER_SAFARI` Safari browser
    `static int` | `BROWSER_UNKNOWN` Unknown browser
    `int` | `browserID` The version of the browser.
    `float` | `browserVersion` Version of the browser.
    `int` | `clientHeight`
    `int` | `clientId` Used to uniquely identify a client
    `int` | `clientWidth`
    `boolean` | `gmtHasDaylight`
    `int` | `gmtOffest` Used to identify client timezone offset in minutes
    `java.util.TimeZone` | `gmtTimeZone`
    `boolean` | `inProcess` True if the agent executes in process, false if stand alone
    `java.lang.String` | `locale`
    `java.lang.String` | `serverURL` The URL of the web server
    `java.lang.String` | `servletContextPath` The context path of AjaxSwing (see servlet spec)
    `java.lang.String` | `submitURL` The URL that the pages are submitted to
    `java.lang.String` | `tempDirPath` Path to a temporary directory that is under web server's webapp directory (and therefore can be referred to from the generated HTML pages)
    `java.lang.String` | `webappRealPath` The real path of the web application (see servlet spec)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentInitData(int browserID, float browserVersion, boolean inProcess, int agentsCount)` Initializes the data with the given browser info

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAgentsCount()`
    `int` | `getBrowserID()`
    `static java.lang.String` | `getBrowserName(int browserId)`
    `float` | `getBrowserVersion()`
    `int` | `getClientHeight()`
    `int` | `getClientId()`
    `int` | `getClientWidth()`
    `java.lang.String` | `getErrorMessage()` Returns the error message that should be displayed on the generated HTML page
    `java.lang.String` | `getErrorMessageAutoRefreshText()` Returns the error message title that should be displayed on the generated HTML page
    `java.lang.String` | `getErrorMessageTitle()` Returns the error message title that should be displayed on the generated HTML page
    `int` | `getErrorRefreshTime()`
    `java.lang.String` | `getLocale()`
    `java.lang.String` | `getServerURL()`
    `java.lang.String` | `getServletContextPath()`
    `java.lang.String` | `getSubmitURL()`
    `java.lang.String` | `getTempDirPath()`
    `java.lang.String` | `getWebappRealPath()`
    `boolean` | `isInProcess()`
    `void` | `setAgentsCount(int agentsCount)`
    `void` | `setBrowserID(int browserID)`
    `void` | `setBrowserVersion(float browserVersion)`
    `void` | `setClientHeight(int clientHeight)`
    `void` | `setClientId(int clientId)`
    `void` | `setClientWidth(int clientWidth)`
    `void` | `setErrorMessage(java.lang.String errorMessage)` Sets the error message that should be displayed on the generated HTML page
    `void` | `setErrorMessageAutoRefreshText(java.lang.String errorMessageAutoRefreshText)` Sets the error message title that should be displayed on the generated HTML page
    `void` | `setErrorMessageTitle(java.lang.String errorMessage)` Sets the error message title that should be displayed on the generated HTML page
    `void` | `setErrorRefreshTime(int errorRefreshTime)`
    `void` | `setInProcess(boolean inProcess)`
    `void` | `setLocale(java.lang.String locale)`
    `void` | `setServerURL(java.lang.String serverURL)`
    `void` | `setServletContextPath(java.lang.String servletContextPath)`
    `void` | `setSubmitURL(java.lang.String submitURL)`
    `void` | `setTempDirPath(java.lang.String tempDirPath)`
    `void` | `setURLs(java.lang.String submitURL, java.lang.String serverURL)` Sets the URLs for page submission and the URL of the web server
    `void` | `setWebappRealPath(java.lang.String webAppRealPath)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### browserID

          public int browserID

      The version of the browser. Valid values are given by variables starting with BROWSER_.

    - #### browserVersion

          public float browserVersion

      Version of the browser.

    - #### inProcess

          public boolean inProcess

      True if the agent executes in process, false if stand alone

    - #### agentsCount

          public int agentsCount

      Numberof agents in AjaxSwing.

    - #### submitURL

          public java.lang.String submitURL

      The URL that the pages are submitted to

    - #### serverURL

          public java.lang.String serverURL

      The URL of the web server

    - #### servletContextPath

          public java.lang.String servletContextPath

      The context path of AjaxSwing (see servlet spec)

    - #### webappRealPath

          public java.lang.String webappRealPath

      The real path of the web application (see servlet spec)

    - #### tempDirPath

          public java.lang.String tempDirPath

      Path to a temporary directory that is under web server's webapp directory (and therefore can be referred to from the generated HTML pages)

    - #### locale

          public java.lang.String locale

    - #### clientWidth

          public int clientWidth

    - #### clientHeight

          public int clientHeight

    - #### clientId

          public int clientId

      Used to uniquely identify a client

    - #### gmtOffest

          public int gmtOffest

      Used to identify client timezone offset in minutes

    - #### gmtHasDaylight

          public boolean gmtHasDaylight

    - #### gmtTimeZone

          public java.util.TimeZone gmtTimeZone

    - #### BROWSER_UNKNOWN

          public static final int BROWSER_UNKNOWN

      Unknown browser
      See Also:
        Constant Field Values

    - #### BROWSER_NS

          public static final int BROWSER_NS

      Netscape browser
      See Also:
        Constant Field Values

    - #### BROWSER_IE

          public static final int BROWSER_IE

      Internet Explorer
      See Also:
        Constant Field Values

    - #### BROWSER_OPERA

          public static final int BROWSER_OPERA

      Opera browser
      See Also:
        Constant Field Values

    - #### BROWSER_SAFARI

          public static final int BROWSER_SAFARI

      Safari browser
      See Also:
        Constant Field Values

    - #### BROWSER_CHROME

          public static final int BROWSER_CHROME

      Google Chrome
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AgentInitData

          public AgentInitData(int browserID,
                       float browserVersion,
                       boolean inProcess,
                       int agentsCount)

      Initializes the data with the given browser info
      Parameters:
        `browserID` - specifies one of the possible browser ids, * defined as AgentInitData constants
        `browserVersion` - version of the browser, e.g. 4.1

  - ### Method Detail

    - #### getBrowserID

          public int getBrowserID()

    - #### setBrowserID

          public void setBrowserID(int browserID)

    - #### getBrowserVersion

          public float getBrowserVersion()

    - #### setBrowserVersion

          public void setBrowserVersion(float browserVersion)

    - #### isInProcess

          public boolean isInProcess()

    - #### setInProcess

          public void setInProcess(boolean inProcess)

    - #### getAgentsCount

          public int getAgentsCount()

    - #### setAgentsCount

          public void setAgentsCount(int agentsCount)

    - #### getSubmitURL

          public java.lang.String getSubmitURL()

    - #### setSubmitURL

          public void setSubmitURL(java.lang.String submitURL)

    - #### getServerURL

          public java.lang.String getServerURL()

    - #### setServerURL

          public void setServerURL(java.lang.String serverURL)

    - #### getServletContextPath

          public java.lang.String getServletContextPath()

    - #### setServletContextPath

          public void setServletContextPath(java.lang.String servletContextPath)

    - #### getClientWidth

          public int getClientWidth()

    - #### setClientWidth

          public void setClientWidth(int clientWidth)

    - #### getClientHeight

          public int getClientHeight()

    - #### setClientHeight

          public void setClientHeight(int clientHeight)

    - #### getClientId

          public int getClientId()

    - #### setClientId

          public void setClientId(int clientId)

    - #### getWebappRealPath

          public java.lang.String getWebappRealPath()

    - #### setTempDirPath

          public void setTempDirPath(java.lang.String tempDirPath)

    - #### setURLs

          public void setURLs(java.lang.String submitURL,
                     java.lang.String serverURL)

      Sets the URLs for page submission and the URL of the web server
      Parameters:
        `submitURL` - String
        `serverURL` - String

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String errorMessage)

      Sets the error message that should be displayed on the generated HTML page
      Parameters:
        `errorMessage` - String

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Returns the error message that should be displayed on the generated HTML page
      Returns:
        error message or null

    - #### setErrorMessageTitle

          public void setErrorMessageTitle(java.lang.String errorMessage)

      Sets the error message title that should be displayed on the generated HTML page
      Parameters:
        `errorMessage` - String

    - #### getErrorMessageTitle

          public java.lang.String getErrorMessageTitle()

      Returns the error message title that should be displayed on the generated HTML page
      Returns:
        error message or null

    - #### setErrorMessageAutoRefreshText

          public void setErrorMessageAutoRefreshText(java.lang.String errorMessageAutoRefreshText)

      Sets the error message title that should be displayed on the generated HTML page
      Parameters:
        `errorMessage` - String

    - #### getErrorMessageAutoRefreshText

          public java.lang.String getErrorMessageAutoRefreshText()

      Returns the error message title that should be displayed on the generated HTML page
      Returns:
        error message or null

    - #### setWebappRealPath

          public void setWebappRealPath(java.lang.String webAppRealPath)

    - #### getTempDirPath

          public java.lang.String getTempDirPath()

    - #### getErrorRefreshTime

          public int getErrorRefreshTime()

    - #### setErrorRefreshTime

          public void setErrorRefreshTime(int errorRefreshTime)

    - #### getBrowserName

          public static java.lang.String getBrowserName(int browserId)

    - #### setLocale

          public void setLocale(java.lang.String locale)

    - #### getLocale

          public java.lang.String getLocale()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.